<?php
class List_LabelImg extends netsControl {
	public function List_LabelImg(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
		
		$tmpSTR='';
		$tmpSTR_Label='';
		foreach ($pColumn['Option'] as $Option){
			if($pColumn['Value']==$Option['Value']){
				$tmpSTR=$Option['Source'];
				$tmpSTR_Label=str_replace('....','',$Option['Text']);
			}
		}
?>
<!-- #<?php echo ($tmpControl); ?> -->
<td id="<?php echo ($tmpControl); ?>PanelBox" class="ListCellContent">
<!--S.<?php echo ($tmpControl); ?>-->
<div id="<?php echo ($tmpControl); ?>_LabelTxt" style="<?php echo ($pColumn['ControlStyle']); ?>"><img src="<?php echo ($tmpSTR); ?>" alt="<?php echo ($tmpSTR_Label); ?>" title="<?php echo ($tmpSTR_Label); ?>" /></div><input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="hidden" value="<?php echo ($pColumn['Value']); ?>" />
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td>
<?php
	}
}
?>